# This Spec file was Created by Marco Meijer <marco@mandrivaclub.nl>
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.mandrivaclub.nl

%define name    warsow
%define version 0.21
%define release 1.2007mcnl
%define summary warsow
%define section More Applications/Games/Arcade

Name:           %{name} 
Summary:        %{summary}
Version:        %{version} 
Release:        %{release} 
Vendor:         Mandrivaclub.nl
URL:            http://www.warsow.net/
License:        GPL
Group:          Games/Arcade

Source0:	%{name}_%{version}_sdk_fixed.zip
Source1:        %{name}_%{version}_linux.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot 

BuildRequires:	curl-devel openal-devel

%description
- Standalone game for Windows and Linux
- 3D Engine based on Qfusion (a modification of Quake 2 GPL engine)
- eSport oriented FPS
- Fast-paced gameplay focused on trix (trick jumps) and art of move
- Complete Power-up System including Weak and Strong fire mode for each weapon
- Cartoonish graphics with celshading-like_but_not_Manga style, mixing dark,
  flashy and dirty textures, matching with action full of fun and speed
- References : Quakeworld, Quake3 CPMA, Jet Set Radio, Speedball.


%prep
rm -rf $RPM_BUILD_ROOT

if [ -d warsow ] ; then
rm -rf warsow
mkdir warsow
else
mkdir warsow
fi

cd warsow

%setup -q -T -D -a0 -n warsow
%setup -q -T -D -a1 -n warsow



%build

cd source
make LOCALBASE=/usr X11BASE=/usr/X11R6

%install

mkdir -p %{buildroot}%{_gamesdatadir}/%{name}

cp source/release/warsow.i386 %{buildroot}%{_gamesdatadir}/%{name}/
cp source/release/wsw_server.i386 %{buildroot}%{_gamesdatadir}/%{name}/

cp -rv %{name}/basewsw %{buildroot}%{_gamesdatadir}/%{name}/
cp -rv source/release/libs %{buildroot}%{_gamesdatadir}/%{name}/
cp -rv source/release/basewsw/* %{buildroot}%{_gamesdatadir}/%{name}/libs/
chmod +r %{buildroot}%{_gamesdatadir}/%{name}/basewsw/cfgs/*
cp -rv %{name}/docs %{buildroot}%{_gamesdatadir}/%{name}/
chmod +r %{buildroot}%{_gamesdatadir}/%{name}/docs/*

install -d %{buildroot}%{_gamesbindir}
cat <<EOF >$RPM_BUILD_ROOT%{_gamesbindir}/%{name}
#!/bin/sh
if [ -d \$HOME/.games/%{name}/%{name}-v%{version} ] ; then
cd \$HOME/.games/%{name}
exec \$HOME/.games/%{name}/%{name}.i386
	exit 0
else
mkdir -p \$HOME/.games/%{name} 2>/dev/null
cd \$HOME/.games/%{name}
rmdir %{name}-v* 2>/dev/null
rm -f $HOME/.games/%{name}/* 2>/dev/null
ln -s %{_gamesdatadir}/%{name}/%{name}.i386 --target-directory=\$HOME/.games/%{name} 2>/dev/null
ln -s %{_gamesdatadir}/%{name}/libs --target-directory=\$HOME/.games/%{name} 2>/dev/null
ln -s %{_gamesdatadir}/%{name}/docs --target-directory=\$HOME/.games/%{name} 2>/dev/null
mkdir basewsw
ln -s %{_gamesdatadir}/%{name}/basewsw/* --target-directory=\$HOME/.games/%{name}/basewsw 2>/dev/null
rm -f $HOME/.games/%{name}/basewsw/demos
mkdir $HOME/.games/%{name}/basewsw/demos
rm -f $HOME/.games/%{name}/basewsw/screenshots
mkdir $HOME/.games/%{name}/basewsw/screenshots
rm -f $HOME/.games/%{name}/basewsw/cfgs
mkdir $HOME/.games/%{name}/basewsw/cfgs
ln -s %{_gamesdatadir}/%{name}/basewsw/cfgs/* --target-directory=\$HOME/.games/%{name}/basewsw/cfgs 2>/dev/null
mkdir %{name}-v%{version}
cd \$HOME/.games/%{name}
exec \$HOME/.games/%{name}/%{name}.i386
exit 1
fi
exit 0
EOF



install -d %{buildroot}%{_gamesbindir}
cat <<EOF >%{buildroot}%{_gamesbindir}/wsw_server
#!/bin/sh
 	cd /usr/share/games/%{name}
	exec /usr/share/games/%{name}/wsw_server.i386
exit 0
EOF


#icons
%define  nameicon source/win32/warsow.ico
mkdir -p -m755 %{buildroot}{%_liconsdir,%_iconsdir,%_miconsdir}
convert -scale 48x48 %{nameicon} %{buildroot}/%{_liconsdir}/%{name}.png
convert -scale 32x32 %{nameicon} %{buildroot}/%{_iconsdir}/%{name}.png
convert -scale 16x16 %{nameicon} %{buildroot}/%{_miconsdir}/%{name}.png

# Menu
# Every entry must be changed according package specfications
# Pay attention to "section" "command" and "longtitle"
# Use the macros at the head of this file to change the values.
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF
?package(%name): \
command="%{_gamesbindir}/%{name}" \
needs="X11" \
icon="%name.png" \
section="More Applications/Games/Arcade" \
title="Warsow" \
longtitle="%summary"
EOF


mkdir -p %buildroot%{_datadir}/applications
cat > %buildroot%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Warsow
Comment=%{summary}
Exec=%{_gamesbindir}/%{name}
Icon=%{name}.png
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-MoreApplications-Games-Arcade
EOF

%post
%update_menus

%postun
%clean_menus

%clean 
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root,0755) 
%_menudir/%{name}
%attr(755,root,root) %{_gamesbindir}/%{name}
%attr(755,root,root) %{_gamesbindir}/wsw_server

%{_iconsdir}/%{name}.png
%{_iconsdir}/mini/%{name}.png
%{_iconsdir}/large/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_gamesdatadir}/%{name}


%changelog 

*Sat Nov 05 2006 Marco Meijer <marco@mandrivaclub.nl> 0.21-1.2007mcnl
- rebuild for 2007
- new version

*Sat Jul 25 2006 Marco Meijer <marco@mandrivaclub.nl> 0.12-1.2006mcnl
first clubbuild www.mandrakeclub.nl

